/***************************************************************************
                               kmuddebug.h
                             -------------------
    begin                : Wen May 30 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMUDDEBUG_H
#define KMUDDEBUG_H

#include <kdebug.h>
/*
 * This file contains macro definitions for the kdDebug areas used by
 * Kmud. Please add the numbers and its name (preceding as a comment here)
 * to the file $KDEDIR/share/config/kdebug.areas
 * Here the complete list for easy copy&paste:

99000	kmud
99010	kmud (application)
99100	kmud (lib)
99101	kmud (lib - factory)
99110	kmud (lib - api)
99120	kmud (lib - viewmanager)
99130	kmud (lib - mudstream)
99200	kmud (core)
99210	kmud (core - configmanager)
99220	kmud (core - telnet)
99300	kmud (ui)
99301	kmud (ui - mainwindow)
99302	kmud (ui - dialogs)
99310	kmud (ui - view)
99400	kmud (parts)
99410	kmud (parts - mapper)
99411	kmud (parts - mapmanager)
99412	kmud (parts - mappertools)

 */

// kmud
#define DAREA_GENERAL 99000

// kmud (application)
#define DAREA_APPLICATION 99010

// kmud (lib)
#define DAREA_LIB 99100

// kmud (lib - factory)
#define DAREA_LIB_FACTORY 99101

// kmud (lib - api)
#define DAREA_LIB_API 99110

// kmud (lib - viewmanager)
#define DAREA_LIB_VIEWMANAGER 99120

// kmud (lib - mudstream)
#define DAREA_LIB_MUDSTREAM 99130

// kmud (core)
#define DAREA_CORE 99200

// kmud (core - configmanager)
#define DAREA_CORE_CONFIGMANAGER 99210

// kmud (core - telnet)
#define DAREA_CORE_TELNET 99220

// kmud (ui)
#define DAREA_UI 99300

// kmud (ui - mainwindow)
#define DAREA_UI_MAINWINDOW 99301

// kmud (ui - mainwindow)
#define DAREA_UI_DIALOGS 99302

// kmud (ui - view)
#define DAREA_UI_VIEW 99310

// kmud (parts)
#define DAREA_PARTS 99400

// kmud (parts - mapper)
#define DAREA_PARTS_MAPPER 99410

// kmud (parts - mapmanager)
#define DAREA_PARTS_MAPMANAGER 99411

// kmud (parts - mappertools)
#define DAREA_PARTS_MAPPERPLUGIN 99412

#endif
