/***************************************************************************
                               kmudpart.h
                             -------------------
    begin                : Fri Apr 6 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMUDPART_H
#define KMUDPART_H

#include <kparts/part.h>

#include <kmudsetuppane.h>

#include <qptrlist.h>

class KmudSetupPane;

/**
  *@author Kmud Developer Team
  */

class KmudPart : public KParts::Part
{

public: 
	KmudPart();
	~KmudPart();

	/** This method is used to get a list of global config panes. It should return a empty list
	  * If none are provided by this part */
	virtual QPtrList<KmudSetupPane> createGlobalConfigPanes(QWidget *);
	/** This method is used to get a list of profile config panes. It should return a empty list
	  * If none are provided by this part */
	virtual QPtrList<KmudSetupPane> createProfileConfigPanes(QWidget *);

	/** This slot is called when ok is pressed in the global config dialog */
	virtual void saveGlobalConfig(void);
};

#endif
